import { types } from 'util';
<!--
 * @Author: zqm 
 * @Date: 2022-03-25 13:32:49
 * @LastEditTime: 2022-04-01 17:54:01
 * @LastEditors: Please set LastEditors
 * @Description: 缓缴弹窗
 * @FilePath: \tableDisplayBusiness\src\components\deferPayment.vue
-->
<template>
  <div>
    <el-dialog title="税款缓缴提示" :visible.sync="firstDefer.dialogVisible" top="10%" width="35%" center :close-on-click-modal="false" :close-on-press-escape="false" :show-close="false">
      <div class="xgmSbTip_txt">
        <p class="p_lineHeight">请您确认是否符合年销售额在2000万以上（含2000万）4亿元以下（不含4亿）的制造业中型企业标准，或年销售额2000万元以下（不含2000万元）的制造业小微企业（含个体工商户）标准？</p>
        <p style=“width:100%;”>
          <el-select v-model="firstDefer.type" placeholder="请选择" @change="typeChange(firstDefer.type)" class="selectwidth">
            <el-option v-for="item in firstDefer.typeList" :key="item.value" :label="item.label" :value="item.value">
            </el-option>
          </el-select>
        </p>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button size="small" type="primary" @click="firstSure()">确定</el-button>
      </span>
    </el-dialog>
    <!-- 4季度弹框 -->
    <el-dialog title="税款缓缴提示" :visible.sync="defer4.dialogVisible" top="10%" width="35%" center :close-on-click-modal="false" :close-on-press-escape="false" :show-close="false">
      <div class="xgmSbTip_txt">
        <p class="p_lineHeight" v-if="firstDefer.type=='制造业小微企业'|| enterpriseDm=='000000000052'">&emsp;&emsp;尊敬的纳税人:<br>
          &emsp;&emsp;您属于制造业小微企业，本次申报可以享受企业所得税、个人所得税、增值税、消费税及附征的城市维护建设税、教育费附加、地方教育附加延缓3个月缴纳的政策，按照《国家税务总局 财政部关于延续实施制造业中小微企业延缓缴纳部分税费有关事项的公告》（国家税务总局公告2022年第 号）规定，2021年第四季度相关税费缓缴期限继续延长6个月。<br>
          &emsp;&emsp;若您需要退还已缴纳的符合 号公告延缓缴纳条件的税费，可申请办理退税（费）。</p>
        <p class="p_lineHeight" v-if="firstDefer.type=='制造业中型企业'|| enterpriseDm=='000000000051'">&emsp;&emsp;尊敬的纳税人:<br>
          &emsp;&emsp;您属于制造业中型企业，本次申报可以享受企业所得税、个人所得税、增值税、消费税及附征的城市维护建设税、教育费附加、地方教育附加各项税费金额的50%延缓3个月缴纳的政策，按照《国家税务总局 财政部关于延续实施制造业中小微企业延缓缴纳部分税费有关事项的公告》（国家税务总局公告2022年第 号）规定，2021年第四季度相关税费缓缴期限继续延长6个月。<br>
          &emsp;&emsp;若您需要退还已缴纳的符合 号公告延缓缴纳条件的税费，可申请办理退税（费）。</p>
        <p style="padding-top:10%;margin-left: 43%;">
          <span slot="footer" class="dialog-footer">
            <el-button size="small" type="primary" @click="defer4Sure()">确定</el-button>
          </span>
        </p>
      </div>
    </el-dialog>
    <!-- 缓缴提示框2021年1-6月 -->
    <el-dialog title="税款缓缴提示" :visible.sync="defer6.dialogVisible" top="10%" width="35%" center :close-on-click-modal="false" :close-on-press-escape="false" :show-close="false">
      <div class="xgmSbTip_txt">
        <p class="p_lineHeight" v-if="firstDefer.type=='制造业小微企业'|| enterpriseDm=='000000000052'">尊敬的纳税人:<br>
          &emsp;&emsp;对制造业中小微企业实施缓缴税费是党中央、国务院助企纾困的重要举措，请您确认是否属于制造业小微企业，并选择享受《国家税务总局 财政部关于延续实施制造业中小微企业延缓缴纳部分税费有关事项的公告》（国家税务总局公告2022年第2号）规定的2022年第一季度、第二季度部分税费延缓6个月缴纳政策。<br>
          &emsp;&emsp;同时提示您，若您已享受制造业中小微企业2021年第四季度部分税费延缓3个月缴纳的政策，2021年第四季度相关税费缓缴期限继续延长6个月。<br>
          &emsp;&emsp;若您需要退还已缴纳的符合2号公告延缓缴纳条件的税费，可申请办理退税（费）。</p>
        <p class="p_lineHeight" v-if="firstDefer.type=='制造业中型企业'|| enterpriseDm=='000000000051'">尊敬的纳税人:<br>
          &emsp;&emsp;对制造业中小微企业实施缓缴税费是党中央、国务院助企纾困的重要举措，请您确认是否属于制造业中型企业，并选择享受《国家税务总局 财政部关于延续实施制造业中小微企业延缓缴纳部分税费有关事项的公告》（国家税务总局公告2022年第2号）规定的2022年第一季度、第二季度部分税费延缓6个月缴纳政策。<br>
          &emsp;&emsp;同时提示您，若您已享受制造业中小微企业2021年第四季度部分税费延缓3个月缴纳的政策，2021年第四季度相关税费缓缴期限继续延长6个月。<br>
          &emsp;&emsp;若您需要退还已缴纳的符合2号公告延缓缴纳条件的税费，可申请办理退税（费）。</p>
        <p style="padding-top:10%;margin-left: 43%;">
          <span slot="footer" class="dialog-footer">
            <el-button size="small" type="primary" @click="deferSure()">确定</el-button>
          </span>
        </p>
      </div>
    </el-dialog>
  </div>
</template>

<script>
export default {
  name: "deferPayment",
  props: {
    listData: { type: String, default: "" }
  },
  data() {
    return {
      firstDefer: {
        dialogVisible: false,
        type: "",
        typeList: [
          {
            value: '制造业中型企业',
            label: '制造业中型企业',
          }, {
            value: '制造业小微企业',
            label: '制造业小微企业'
          }, {
            value: '均不符合',
            label: '均不符合'
          }
        ]
      },
      enterpriseDm: '',
      defer4: {
        dialogVisible: false,
      },
      defer6: {
        dialogVisible: false,
      }
    }
  },
  methods: {
    typeChange(key) {
      var nsrlbdm = ''
      if (key == '制造业小微企业') {
        nsrlbdm = '000000000052'
      }
      if (key == '制造业中型企业') {
        nsrlbdm = '000000000051'
      }
      if (JSON.stringify(this.listData) != '[]') {
        this.listData.forEach(item => {
          item.nsrlbdm = nsrlbdm
        })
      }
    },
    firstSure() {
      // 是新纳税人，选择享受，系统记录纳税人选择情况
      // 纳税人选择不享受，提供下拉选
      // 符合均不符合中小型微企业，选择任一一个，点关闭，除了“均不符合”外，弹第二个弹框
      var skssqz = this.$store.state.data.openData.sksssjz
      if (this.firstDefer.type != '均不符合' && this.firstDefer.type != '') {
        if ((skssqz > '20210930' && skssqz < '20220101')) {
          this.defer4.dialogVisible = true
        }
        if ((skssqz >= '20220101' && skssqz <= '20220630')) {
          this.defer6.dialogVisible = true
        }
        this.firstDefer.dialogVisible = false
      } else if (this.firstDefer.type == '均不符合') {
        this.defer4.dialogVisible = false
        this.defer6.dialogVisible = false
        this.firstDefer.dialogVisible = false
      } else {
        this.defer4.dialogVisible = false
        this.defer6.dialogVisible = false
        this.firstDefer.dialogVisible = true
      }
      if (this.firstDefer.type == '均不符合') {
        this.hjSave()
      }
    },
    hjSave() {
      var obj = {}
      var data = []
      if (JSON.stringify(this.listData) != '[]') {
        this.listData.forEach(item => {
          if (item.nsrlbdm) {
            obj['nsrlbdm'] = item.nsrlbdm
          }
          if (item.value1 == '') {
            obj["sfxshj"] = 'Y'
          }
          if (item.value2 == '其他。') {
            obj["yxszcyy"] = item.input1
          } else {
            obj["yxszcyy"] = ""
          }

          if (item.yzpzxh) {
            obj["yzpzxh"] = item.yzpzxh
          }
          if (this.firstDefer.type == '均不符合') {
            obj['nsrlbdm'] = ''
            obj["yxszcyy"] = ''
            obj["sfxshj"] = ''
          }
          data.push(obj)
        })
        var _self = this;
        var hjUrl = interfacePrefix + config.hjTaxSave;
        var params = {
          djxh: this.$store.state.data.openData.djxh,
          data: JSON.stringify(data)
        }
        this.ajax.post(hjUrl, params, function (data) {
          console.log(config.hjTaxSave, data);
          if (data) {
            if (data.returnMessage) {
              var list = JSON.parse(data.returnMessage)
              if (list.SUCCESS) {
                if (list.SUCCESS == 'N') {
                  _self.$alert(list.MESSAGE, '提示', {
                    confirmButtonText: '确定',
                    type: 'warning',
                    callback: action => {
                      _self.$parent.ldtsFun();
                    }
                  });
                } else {
                  _self.$parent.ldtsFun();
                }
              }
            }
          }
        }, "json", true);
      }
    },
    deferSure() {
      // 是新纳税人，选择享受，系统记录纳税人选择情况
      // 纳税人选择不享受，提供下拉选
      // 选择“不享受，第二个选择框为空时弹第一个校验”
      this.defer4.dialogVisible = false
      this.defer6.dialogVisible = false
      if (!this.defer4.dialogVisible && !this.defer6.dialogVisible) {
        this.hjSave()
      }
    }
  }
}
</script>

<style>
</style>
